<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$objetivoAnalise=$sessao->getVar('controle');//
$metodoUtilizado=$sessao->getVar('controle1');//
$obs1=$sessao->getVar('controle2');//
$obs2=$sessao->getVar('controle3');//
$obs3=$sessao->getVar('controle4');//
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=210;//isso para horizontal
			 $maximoHAdobe=297;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-16;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=180;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Times','',8);
			 
			 //cabecalho
			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			 $pdf-> Rect($margemEsquerda,1,$margemDireita,27);
			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
			 
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 //echo("caminhofinal=$caminhoFinal<br>");
			 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
	         $pdf->SetFont('Times','B',10);
			 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[0]),0,1,'C');//lab nome
			 $cota1=8; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[1]),0,1,'C');//lab nome
			 $cota1=13;$pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[2]),0,1,'C');//lab nome
			 $cota1=18; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[3]),0,1,'C');//lab nome
	         $sqlSeletor=$sessao->getVar('controle5');
      		 $cota1=50;
			 $larg[1]=20;
			 $larg[2]=100;
			 $larg[3]=20;
			 $larg[4]=20;
			 $larg[5]=20;
             //imprime cabecalho
             $matrizCompleta[0][1]='Amostra:';
             $matrizCompleta[0][2]='Patógeno';
             $matrizCompleta[0][3]='Qtd(%)';
             $matrizCompleta[0][4]='Germ';
             $matrizCompleta[0][5]='EAC';

   
 			 $generica=new tabelagenerica();
			 //echo $finalidade;
			 $generica->extras_select =$sqlSeletor;
			 $generica->selecionaCamposEspecial($generica);
             $contador=0;
			 while ($resgenerica= $generica->retornaDados()):
                $contador++;
				$amostraLong=$resgenerica->fic_id;
				$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong); 
                $matrizCompleta[$contador][1]=$vetorRaioX[10];  //amostra
                $requerente= $vetorRaioX[44]; 
                $matrizCompleta[$contador][2]='-N-';  //patogeno
                $matrizCompleta[$contador][3]='-N-';  //% patogoneopatogeno
                $matrizCompleta[$contador][4]=$vetorRaioX[14];  //germ
                $matrizCompleta[$contador][5]=$vetorRaioX[12];  //germ //% eac
               //captura os patogenos desta amostra
				$genericaFito=new tabelagenerica();
		        $genericaFito->tabela="listapatogenosamostra,listapatogenos";
		        $genericaFito->campos_valores = array(
				"lip_nome_cientifico" => NULL,
				"lpa_valor" => NULL,
				"lpa_id" => NULL,
			    );
			    $genericaFito->extras_select ="  where lpa_id_patogeno=lip_id and lpa_id_amostra=".$amostraLong." order by lip_nome_cientifico";
			    $genericaFito->selecionaCampos($genericaFito);
				$contadorFito=0;
				while ($resgenericaFito = $genericaFito->retornaDados()):
			        if($resgenericaFito->lpa_valor>0):
					    if($contadorFito>0)$contador++;
                        $contadorFito++; 
					    $matrizCompleta[$contador][2]=$resgenericaFito->lip_nome_cientifico;
					    $matrizCompleta[$contador][3]=number_format($resgenericaFito->lpa_valor,2,",",".").'%';
	
                    endif; 
	            endwhile;//percorre os registros de patogenos desta amaostra
		  endwhile;//percorre as amostras		
          //IMPRIME O REQUERENTE
          $pdf->SetFont('Times','B',11);
		  $pdf->setXY($margemEsquerda,30);
	      $pdf->Cell($larguraUtil,6,utf8_decode('INFORMAÇÃO DE RESULTADO DE ANÁLISE FITOSSANITÁRIA'),0,1,'C');//lab nome
          $pdf->Cell($larguraUtil,6,utf8_decode('REQUERENTE: '.$requerente),1,1,'C');//lab nome
            //imprime toda matriz		
		  	//cria a tabela que vai exportar para excel
			$tabela = '<table border="1">';
			$tabela .= '<tr>';
			$tabela .= '<td colspan="5">
			Exportacao de dados para Excel - Sistema Silas Net
			</td>
			</tr>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			$tabela .= '</tr>';
			
			
			$tabela .= '<tr>';
			$tabela .= '<td colspan="6">Requerente:'.$requerente.'</td>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			$tabela .= '</tr>';
			
			 $tabela .= '<tr>';
			 for($je=1;$je<=$limite;$je++):
				$tabela .= '<td>'.utf8_decode($matrizTitulo[$je]).'</td>';
			 endfor;
			 //so para ver como adiciona as colunas...hihihi
			 //$tabela .= '<td><b>Nome</b></td>';
			 //$tabela .= '<td><b>Email</b></td>';
			 $tabela .= '</tr>';
		  
		  
		  		
          for($linha=0;$linha<=$contador;$linha++):
	         if($linha==0)$pdf->SetFont('Times','B',8);
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larg[1],5,utf8_decode($matrizCompleta[$linha][1]),1,0,'L');//
             if($linha>0)$pdf->SetFont('Times','I',8);
			 $pdf->Cell($larg[2],5,utf8_decode($matrizCompleta[$linha][2]),1,0,'L');//
             if($linha>0)$pdf->SetFont('Times','',8);
			 $pdf->Cell($larg[3],5,$matrizCompleta[$linha][3],1,0,'C');//
			 $pdf->Cell($larg[4],5,utf8_decode($matrizCompleta[$linha][4]),1,0,'L');//
			 $pdf->Cell($larg[5],5,utf8_decode($matrizCompleta[$linha][5]),1,0,'L');//
             $cota1+=5;	
			 //tabela excel
			 $tabela .= '<tr>';
			 $tabela .= '<td>'.utf8_decode($matrizCompleta[$linha][1]).'</td>';
			 $tabela .= '<td>'.utf8_decode($matrizCompleta[$linha][2]).'</td>';
			 $tabela .= '<td>'.utf8_decode($matrizCompleta[$linha][3]).'</td>';
			 $tabela .= '<td>'.utf8_decode($matrizCompleta[$linha][4]).'</td>';
			 $tabela .= '<td>'.utf8_decode($matrizCompleta[$linha][5]).'</td>';
			 $tabela .= '</tr>';
		  endfor;;//percorre tods registros da matiz resultados
		   $tabela .= '</table>';
		   $sessao->setVar('controleExcel',$tabela);

			 
			 
 
   /*         
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			$generica->extras_select =" select fic_procedencia, fic_amostra,fic_ano, fic_lote,ctv_nome, prd_apelido,prd_nome,prd_endereco,fic_categoria,fic_id from  ficha,cultivar,remetente where  prd_id=fic_produtor && fic_cultivar=ctv_id and fic_id=".$amostraLong;
			//$generica->extras_select =" where fic_enquadramento='".$enquadramento."' && prd_id=fic_produtor && fic_cultivar=ctv_id and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo;
			$generica->selecionaCamposEspecial($generica);
			while ($resgenerica= $generica->retornaDados()):
			    $amostra=$resgenerica->fic_amostra;//amostra
			    $lote=$resgenerica->fic_lote;
			    $cultivar=$resgenerica->ctv_nome;
			    $nome=$resgenerica->prd_nome;
			    $endereco=$resgenerica->prd_endereco;
			    $ano=$resgenerica->fic_ano;
                $procedencia=$resgenerica->fic_procedencia;
                $amostraLong=$resgenerica->fic_id;
			endwhile; 
            $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);



                        $cota1=48; 
			//$cota1=$cota1+30;
                        $pdf-> Rect($margemEsquerda,$cota1,$margemDireita,10);
			$pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell(50,5,'Requerente :'.utf8_decode($nome).'/'.$ano,0,1,'L');//amostra
		    $pdf->Cell(50,5,utf8_decode('Endereço:'.$endereco),0,1,'L');//lote
		    //interpretacao
			$largura1=60;
			$largura2=80;
			
			$cota1=$cota1+20;
            $pdf->setXY($margemEsquerda,$cota1);
            $pdf->Cell($larguraUtil,6,utf8_decode('IDENTIFICAÇÃO DA AMOSTRA Nº '.$vetorCapturaGeral[1].'/'.substr($vetorCapturaGeral[36],0,4)),0,1,'C');//lab nome
            $cota1=$cota1+5;
			$pdf-> Rect($margemEsquerda,$cota1,$margemDireita,20);
			//$cota1=$cota1+50;
			$pdf->setXY($margemEsquerda,$cota1);
    
		    $pdf->Cell(50,5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'R');
            $pdf->SetFont('Times','I',9);
		    $pdf->Cell($largura1,5,'('.utf8_decode($vetorCapturaGeral[30]).')',0,1,'L');
			$pdf->SetFont('Times','',9);
			
			
		    $pdf->Cell($largura1,5,utf8_decode('Procedência:'.$procedencia),0,1,'L');
		    $pdf->Cell($largura1,5,utf8_decode('Objetivo da análise:'.$objetivoAnalise),0,1,'L');
                    $pdf->Cell($largura1,5,utf8_decode('Data de recebimento da amostra:'),0,1,'L');
			//$cota1=100;

			//$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);
		    
            $pdf->Cell($larguraUtil,6,utf8_decode('MÉTODO UTILIZADO PARA DETECÇÃO E IDENTIFICAÇÃO DO PATÓGENO'),0,1,'C');//lab nome
            $pdf->Cell($larguraUtil,5,utf8_decode($metodoUtilizado),1,1,'L');
            $pdf->Cell($larguraUtil,6,utf8_decode('RESULTADO DA ANÁLISE'),0,1,'C');//lab nome
			
		    //AQUI É O SETOR QUE TRABALHA COM FITOPATOLOGIA
			//ENTRA DE QUAKQUER MANEIRA
			$y=110;
			$generica=new tabelagenerica();
			$generica->tabela="listapatogenosamostra,listapatogenos";
			$generica->campos_valores = array(
					"lip_nome_cientifico" => NULL,
					"lpa_valor" => NULL,
					"lpa_id" => NULL,
				);
			$generica->extras_select ="  where lpa_id_patogeno=lip_id and lpa_id_amostra=".$amostraLong." order by lip_nome_cientifico";
		    $generica->selecionaCampos($generica);
            $contador=0;
                        			  
			while ($resgenerica = $generica->retornaDados()):
                $y+=5;
		        $pdf->setXY(10,$y);
                         $pdf->SetFont('Times','I',8);
				$pdf->Cell(140,5,utf8_decode($resgenerica->lip_nome_cientifico),1,0,'L');//
                                $pdf->SetFont('Times','',8);
				$pdf->Cell(40,5,number_format($resgenerica->lpa_valor,2,",",".").'%',1,0,'C');//
                                
            endwhile;

            $cota1=100; 
     */     
			
			$cota1=$cota1+95;
                        $pdf->setXY($margemEsquerda,$cota1);
                        $pdf->SetFont('Times','B',11);
                        $pdf->Cell($larguraUtil,5,utf8_decode('OBSERVAÇÕES:'),1,1,'L');//lab nome
                        //aqui ele vai abrir espaco de acordo com o que tiver digitado nas 3 linhas de observacoes
                        if($obs1==""):
						   $observacao1='-O-';
						else:
                           $observacao1=$obs1;					
						endif;   
                        $pdf->Cell($larguraUtil,5,utf8_decode($observacao1),1,1,'L');//lab nome
                        //aqui so abre espaco se houver preenchimento
						if($obs2!=""):
                           $observacao2=$obs2;					
						   $cota1+=5;
                           $pdf->Cell($larguraUtil,5,utf8_decode($observacao2),1,1,'L');//lab nome
						endif;   
                        //aqui so abre espaco se houver preenchimento
						if($obs3!=""):
                           $observacao3=$obs3;					
						   $cota1+=5;
                           $pdf->Cell($larguraUtil,5,utf8_decode($observacao3),1,1,'L');//lab nome
						endif;   
                        $pdf->Rect($margemEsquerda,$cota1,$margemDireita,30);
                        $pdf->Cell($larguraUtil,5,utf8_decode('NOTAS:'),0,1,'L');//lab nome
                        $pdf->Cell($larguraUtil,5,utf8_decode('1-A identificação da amostra é de exclusiva responsabilidade do remetente.'),0,1,'L');//lab nome
                        $pdf->Cell($larguraUtil,5,utf8_decode('2-A presente análise tem seu valor restrito à amostra entregue ao laboratório.'),0,1,'L');//lab nome
                        $pdf->Cell($larguraUtil,5,utf8_decode('3-Métodos de análise segundo as RAS em vigor.'),0,1,'L');//lab nome
                        //$pdf->Cell($larguraUtil,5,utf8_decode(''),0,1,'L');//lab nome
                        
                        $cota1=$cota1+5;
			//$cota1=$cota1+50;
			$pdf->setXY($margemEsquerda,$cota1);
               		
#####################LOCAL DATA###############
	 $cota11=260;
	 $posicao2=80;
     $pdf->Line(90,$cota11+5,160,$cota11+5);//
     //$cota11+=5;
         
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,100,$cota11-9,61,14,'JPG');
     endif;

	 $pdf->SetFont('Times','',8);
     $pdf->setXY($posicao2,$cota11-15);
     //$vetorCabecalho[6]="Cruz Alta";
	 
     $pdf->Cell(100,4.5,utf8_decode($vetorLaboratorio[6]).", ".date("d/m/y") ,0,1,'L');

	 //$pdf->Cell(85,4.5,'xxxxx'.", ".$vetorDadosDocumento[27] ,'0',1,'L');
	 $pdf->SetFont('Times','',8);
     $pdf->setXY($posicao2,$cota11+0);
	 $pdf->Cell(100,4.5,utf8_decode($vetorTecnico[0]),'0',1,'C');
     $pdf->setXY($posicao2,$cota11+4);
	 $pdf->Cell(100,4.5,utf8_decode($vetorTecnico[1]),'0',1,'C');
     $pdf->setXY($posicao2,$cota11+8);
	 $pdf->Cell(100,4.5,' CREA:'.$vetorTecnico[2].'  RENASEM:'.$vetorTecnico[3],'0',1,'C');		
	 $pdf->SetXY($posicao2,$cota11+12);
	 $pdf->Cell(100,5,utf8_decode($vetorTecnico[7]),0,1,'C');	//	
			//$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
		
		


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
